function GNew = AddEv2G(GOld,tr)
%function GNew = AddEv2G(GOld,tr)
%
%	Assumes each datapoint for each row in G is sequential

NumBins = length(GOld(1,:));
NumData = length(GOld(:,1));
Ev = find(tr > 0);
numEv = length(Ev);
GNew = zeros(NumData, NumBins + numEv);
GNew(:,1:NumBins) = GOld;

k = 0;
for i = 1:numEv
	for j = 1:tr(Ev(i))
		k = k + 1;
		GNew(k,NumBins + i) = 1;
	end
end
