function GNew = AddSt2G(GOld,st)
%function GNew = AddSt2G(GOld,st)
%
%	Assumes each datapoint for each row in G is sequential

NumBins = length(GOld(1,:));
NumData = length(GOld(:,1));
numSt = max(st);
GNew = zeros(NumData, NumBins + numSt);
GNew(:,1:NumBins) = GOld;

for i = 1:NumData
	GNew(i,NumBins+st(i)) = 1;
end
