function [d, W, G, GP] = ReadG(fname)
%function [d, W, G, GP] = ReadG(fname)

clear d W G dWG
%disp('Reading Header');
fid = fopen(fname,'r','b');
GP.nd = fread(fid,1,'int32');
GP.numx = fread(fid,1,'int32');
GP.numy = fread(fid,1,'int32');
GP.numz = fread(fid,1,'int32');
GP.xo = fread(fid,1,'float32');
GP.yo = fread(fid,1,'float32');
GP.zo = fread(fid,1,'float32');
GP.dx = fread(fid,1,'float32');
GP.dy = fread(fid,1,'float32');
GP.dz = fread(fid,1,'float32');
%disp(['There are ' num2str(GP.nd) ' data points'])

dWG = zeros(GP.nd,GP.numx*GP.numy*GP.numz+2);
d = zeros(GP.nd,1);
W = zeros(GP.nd,1);
G = zeros(GP.nd,GP.numx*GP.numy*GP.numz);

%yesno = input('Do you want to read in G matrix?(y/n) ');
%if strcmp(yesno,'y') == 1
	%disp('Reading dWG matrix')
	for i = 1:GP.nd
                dWG(i,:) = fread(fid,GP.numx*GP.numy*GP.numz+2,'float32')';
	end
	d = dWG(:,1);
	W = dWG(:,2);
	G = dWG(:,3:length(dWG(1,:)));
%end

fclose(fid);
